ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

TcCanonical

# Documentation

canonicalize :: Ct -> TcS (StopOrContinue Ct) #

unifyDerived :: CtLoc -> Role -> Pair TcType -> TcS () #

makeSuperClasses :: [Ct] -> TcS [Ct] #

maybeSym :: SwapFlag -> TcCoercion -> TcCoercion #

data StopOrContinue a #

Constructors

ContinueWith a |
Stop CtEvidence SDoc |

Instances

Functor StopOrContinue # |
Methods fmap :: (a -> b) -> StopOrContinue a -> StopOrContinue b Source # (<$) :: a -> StopOrContinue b -> StopOrContinue a Source #
Outputable a => Outputable (StopOrContinue a) # |
Methods ppr :: StopOrContinue a -> SDoc # pprPrec :: Rational -> StopOrContinue a -> SDoc #

stopWith :: CtEvidence -> String -> TcS (StopOrContinue a) #

continueWith :: a -> TcS (StopOrContinue a) #